apiVersion: machine.openshift.io/v1beta1
kind: MachineHealthCheck
metadata:
  name: mhc-snr
  namespace: openshift-machine-api
spec:
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-machine-role: "control-plane"
      machine.openshift.io/cluster-api-machine-type: "control-plane"
  remediationTemplate:
    apiVersion: self-node-remediation.medik8s.io/v1alpha1
    kind: SelfNodeRemediationTemplate
    name: selfnoderemediationtemplate-sample
  unhealthyConditions:
    - status: "False"
      timeout: 90s
      type: Ready
    - type: "Ready"
      status: "Unknown"
      timeout: "90s"
  maxUnhealthy: "100%"
  nodeStartupTimeout: 5m